<div class="row">
    <div class="col-md-12">
        <div class="table-responsive scroll" style="max-height: 250px;">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Codigo</th>
                        <th>Numero</th>
                        <th>Tipo</th>
                        <th>Piso</th>
                        <th>Estado</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let r of service.model.Residencias | slice:pagination.skip:pagination.take">
                        <td>{{ r.UniqueIdentifier }}</td>
                        <td>{{ r.Numero }}</td>
                        <td>{{ r.TipoResidenciaDescripcion || '--' }}</td>
                        <td>{{ r.Piso || '--' }}</td>
                        <td>{{ r.Poblada ? 'Activa' : 'Sin Residentes' }}</td>
                    </tr>
                </tbody>
                <tfoot *ngIf="!service.model.Residencias || service.model.Residencias?.length === 0">
                    <tr>
                        <td colspan="99" class="text-center text-muted">
                            Sin Asignar
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>

<div class="row" *ngIf="service.model.Residencias?.length > 0">
    <div class="col-md-12 d-flex justify-content-center">
        <app-pagination [(page)]="pagination.Page" [limit]="pagination.Limit" 
            [total]="pagination.TotalCount">
        </app-pagination>
    </div>
</div>
